Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358918 (qtwebbrowser) - Review Request: qtwebbrowser - QtWebEngine based browser for embedded touch devices
Summary: Review Request: qtwebbrowser - QtWebEngine based browser for embedded touch d...
Keywords:
Status: CLOSED NOTABUG
Alias: qtwebbrowser
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2016-07-21 18:49 UTC by Raphael Groner
Modified: 2016-12-07 22:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-07 22:24:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1298011 None None None Never

Internal Links: 1298011

Description Raphael Groner 2016-07-21 18:49:29 UTC
Spec URL: https://raphgro.fedorapeople.org/review/qt/qtwebbrowser/qtwebbrowser.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/qtwebbrowser/qtwebbrowser-1.0-1.fc24.src.rpm
Description: QtWebEngine based browser for embedded touch devices
The Qt WebBrowser (codename Roadtrip) is a browser
for embedded devices developed using the capabilities
of Qt and Qt WebEngine. Using recent Chromium, it
features up-to-date HTML technologies behind a minimal
but slick touch-friendly user interface from Qt Quick.

Fedora Account System Username: raphgro

Test builds:
https://copr.fedorainfracloud.org/coprs/raphgro/review/package/qtwebbrowser

Note: Upload to koji for scratch builds is slow from here, so I use copr.

Comment 1 Raphael Groner 2016-07-21 18:56:58 UTC
DEBUG util.py:421:  No matching package to install: 'pkgconfig(Qt5WebEngine)'

… for epel7 and ppc64le (all Fedoras)

Maybe add ExcludeArch?

Comment 2 Kevin Kofler 2016-07-21 23:10:40 UTC
You should copy the ExclusiveArch line from qt5-qtwebengine.

Comment 3 Raphael Groner 2016-07-22 09:27:24 UTC
(In reply to Kevin Kofler from comment #2)
> You should copy the ExclusiveArch line from qt5-qtwebengine.

See https://bugzilla.redhat.com/show_bug.cgi?id=1298011#c7 .

Comment 4 Rex Dieter 2016-08-01 14:56:26 UTC
That may be a good long-term goal.  But in the short-term, I'd recommend you follow Kevin's advice and copy the ExclusiveArch line from qt5-qtwebengine.spec

Comment 5 Rex Dieter 2016-08-16 14:09:09 UTC
I can help review this today...

Comment 6 Raphael Groner 2016-10-21 15:05:16 UTC
(In reply to Raphael Groner from comment #1)
> DEBUG util.py:421:  No matching package to install: 'pkgconfig(Qt5WebEngine)'
> 
> … for epel7 and ppc64le (all Fedoras)
> 
> Maybe add ExcludeArch?

(In reply to Kevin Kofler from comment #2)
> You should copy the ExclusiveArch line from qt5-qtwebengine.

It's fixed for qt5-qtwebengine (see rhbz#1298011). I assume ExcludeArch is not needed any more for qtwebbrowser, too.

Comment 8 Rex Dieter 2016-10-21 15:19:36 UTC
sorry for the delay, I won't have time in the immediate future (removing myself as reviewer to allow someone else to take it for now)

Comment 9 Raphael Groner 2016-10-29 13:45:24 UTC
I'm confused. Is ExclusiveArch needed or not? There's now a patch for qtwebengine introducing a macro for ExclusiveArch (as I originally suggested).

Comment 10 Rex Dieter 2016-10-31 11:53:05 UTC
Yes, the macro simply makes using ExclusiveArch easier

Comment 11 Raphael Groner 2016-12-07 22:24:24 UTC
Lost interest in this package. Feel free to use this request as a base for another review.


Note You need to log in before you can comment on or make changes to this bug.